# Table Struct Reference

`#include <lua/lobject.h>`

Collaboration diagram for Table:
[legend]

## Data Fields
GCObject * | next
lu_byte | tt
lu_byte | marked
lu_byte | flags
lu_byte | lsizenode
struct Table * | metatable
TValue * | array
Node * | node
Node * | lastfree
GCObject * | gclist
int | sizearray

## Detailed Description

Definition at line 338 of file lobject.h.

## Field Documentation

GCObject* Table::next

Definition at line 339 of file lobject.h.

lu_byte Table::tt

Definition at line 339 of file lobject.h.

lu_byte Table::marked

Definition at line 339 of file lobject.h.

Referenced by cleartable(), and traversetable().

lu_byte Table::flags

Definition at line 340 of file lobject.h.

Referenced by luaH_new(), luaH_set(), and luaT_gettm().

lu_byte Table::lsizenode

Definition at line 341 of file lobject.h.

Referenced by luaH_new(), resize(), and setnodevector().

struct Table* Table::metatable`[read]`

Definition at line 342 of file lobject.h.

Referenced by luaH_new(), luaV_gettable(), luaV_settable(), and traversetable().

TValue* Table::array

Definition at line 343 of file lobject.h.

Referenced by cleartable(), luaH_free(), luaH_getn(), luaH_getnum(), luaH_new(), luaH_next(), numusearray(), resize(), setarrayvector(), and traversetable().

Node* Table::node

Definition at line 344 of file lobject.h.

Referenced by getfreepos(), luaH_free(), luaH_getn(), luaH_new(), luaH_resizearray(), numusehash(), resize(), and setnodevector().

Node* Table::lastfree

Definition at line 345 of file lobject.h.

Referenced by getfreepos(), and setnodevector().

GCObject* Table::gclist

Definition at line 346 of file lobject.h.

Referenced by cleartable(), luaC_barrierback(), propagatemark(), and traversetable().

int Table::sizearray

Definition at line 347 of file lobject.h.

Referenced by cleartable(), findindex(), luaH_free(), luaH_getn(), luaH_getnum(), luaH_new(), luaH_next(), luaV_execute(), numusearray(), propagatemark(), resize(), setarrayvector(), and traversetable().

The documentation for this struct was generated from the following file:

- lua/lobject.h